
# WATCHDOG
CONFIG_WATCHDOG=y
CONFIG_WDT_DISABLE_AT_BOOT=n

# FPU
CONFIG_FPU=y

# CRC
CONFIG_CRC=y

# DMIC
CONFIG_AUDIO=y
CONFIG_AUDIO_DMIC=y

# storage
CONFIG_NVS=y
CONFIG_MPU_ALLOW_FLASH_WRITE=y

# flash
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y

# events
CONFIG_EVENTS=y

# Zephyr state framework
CONFIG_SMF=y

# settings
CONFIG_SETTINGS=y
CONFIG_SETTINGS_RUNTIME=y

# pipes
CONFIG_PIPES=y


# MCUBoot
CONFIG_BOOTLOADER_MCUBOOT=y

# misc
CONFIG_CBPRINTF_FP_SUPPORT=y

# BLE
CONFIG_BT=y
CONFIG_BT_SMP=y
CONFIG_BT_CENTRAL=n
CONFIG_BT_PERIPHERAL=y
#CONFIG_BT_MAX_CONN=2
CONFIG_BT_MAX_PAIRED=8
CONFIG_BT_FIXED_PASSKEY=y
CONFIG_BT_NUS_AUTHEN=y
CONFIG_BT_NUS=y
CONFIG_BT_DEVICE_NAME_DYNAMIC=y
CONFIG_BT_DEVICE_NAME_MAX=10
CONFIG_BT_BONDABLE=y
CONFIG_BT_SETTINGS=y
CONFIG_BT_BUF_ACL_RX_SIZE=251
CONFIG_BT_BUF_ACL_TX_SIZE=251
CONFIG_BT_L2CAP_TX_MTU=247
#CONFIG_BT_CTLR_DATA_LENGTH_MAX=251
CONFIG_BT_GAP_AUTO_UPDATE_CONN_PARAMS=n
CONFIG_BT_RX_STACK_SIZE=2048
CONFIG_BT_USER_PHY_UPDATE=y
CONFIG_BT_USER_DATA_LEN_UPDATE=y
CONFIG_NCS_SAMPLE_MCUMGR_BT_OTA_DFU_SPEEDUP=y
CONFIG_BT_EXT_ADV=y
CONFIG_BT_PRIVACY=y
CONFIG_BT_FILTER_ACCEPT_LIST=y
CONFIG_BT_KEYS_OVERWRITE_OLDEST=y

# Memory & Stack
CONFIG_HEAP_MEM_POOL_SIZE=131072
CONFIG_MAIN_STACK_SIZE=4096
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2048

# Nano ProtoBuf
CONFIG_NANOPB=y

# Reboot
CONFIG_REBOOT=y

# Poweroff
CONFIG_POWEROFF=y

# HW info (reset cause)
CONFIG_HWINFO=y

# littlefs
CONFIG_FILE_SYSTEM=y
CONFIG_FILE_SYSTEM_MKFS=y
CONFIG_FILE_SYSTEM_LITTLEFS=y

# DFU
CONFIG_IMG_MANAGER=y
CONFIG_IMG_ERASE_PROGRESSIVELY=y
CONFIG_IMG_ENABLE_IMAGE_CHECK=y
CONFIG_STREAM_FLASH=y

CONFIG_NCS_APPLICATION_BOOT_BANNER_STRING="Genio2.2 (by EMBEDOX LABS Ltd.)"

# Power managment
CONFIG_PM_DEVICE=y

# Shell
CONFIG_SHELL=n
CONFIG_REGULATOR_SHELL=n
CONFIG_MCUBOOT_SHELL=n
CONFIG_FILE_SYSTEM_SHELL=n

# Application
CONFIG_APP_BLE_TX_THREAD_STACK_SIZE=1024
CONFIG_APP_BLE_RX_THREAD_STACK_SIZE=2048
